Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples
Class AbleTraceLogDemo

    java.lang.Object
      com.ibm.able.examples.AbleTraceLogDemo

public class AbleTraceLogDemo
extends java.lang.Object

The AbleTraceLogDemo class illustrates starting, changing levels, and stopping tracing support using both the ABLE package `Able.TraceLog` as a global logger and the use of bean-level tracing which enables individual beans to trace statements at a different level than the global trace logger.

The demo begins by ensuring that tracing is off which is the preferences default. It then sets the console trace level, and calls a method which is instrumented to display trace output at a medium level. After changing the level, it repeats the call to the method.

Next it shows how text data and exception information is passed to the trace logger.

Finally it constructs a bean and configures it for bean level tracing. At varying bean trace level and global trace levels, it displays trace outputs from beans using bean tracing and global tracing.

The global message logger `Able.MessageLog` works similarly, although message logging is not supported at the bean level.

Constructor Summary
`AbleTraceLogDemo()`

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbleTraceLogDemo

    public AbleTraceLogDemo()

Method Detail

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005